CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Properties | Events
CommandMessenger.SendCommandQueue Class Reference

Queue of received commands. More...

Inheritance diagram for CommandMessenger.SendCommandQueue:

List of all members.

## Public Member Functions
| SendCommandQueue (DisposeStack disposeStack, CmdMessenger cmdMessenger, Sender sender, int sendBufferMaxLength)
| send command queue constructor.
void | SendCommand (SendCommand sendCommand)
| Sends a command. Note that the command is put at the front of the queue.
void | QueueCommand (SendCommand sendCommand)
| Queue the send command.
override void | QueueCommand (CommandStrategy commandStrategy)
| Queue the send command wrapped in a command strategy.
## Protected Member Functions
override void | ProcessQueue ()
| Process the queue.
## Properties
uint | MaxQueueLength`[get, set]`
## Events
NewLineEvent.NewLineHandler | NewLineSent

## Detailed Description

Queue of received commands.

## Constructor & Destructor Documentation

CommandMessenger.SendCommandQueue.SendCommandQueue | ( | DisposeStack | disposeStack,
|  | CmdMessenger | cmdMessenger,
|  | Sender | sender,
|  | int | sendBufferMaxLength
| ) |  |

send command queue constructor.

Parameters:

  disposeStack | DisposeStack.
  cmdMessenger | The command messenger.
  sender | Object that does the actual sending of the command
  sendBufferMaxLength | Length of the send buffer

## Member Function Documentation

override void CommandMessenger.SendCommandQueue.ProcessQueue | ( |  | ) | `[protected, virtual]`

Process the queue.

Reimplemented from CommandMessenger.CommandQueue.

void CommandMessenger.SendCommandQueue.QueueCommand | ( | SendCommand | sendCommand | ) |

Queue the send command.

Parameters:

  sendCommand | The command to sent.

override void CommandMessenger.SendCommandQueue.QueueCommand | ( | CommandStrategy | commandStrategy | ) | `[virtual]`

Queue the send command wrapped in a command strategy.

Parameters:

  commandStrategy | The command strategy.

Reimplemented from CommandMessenger.CommandQueue.

void CommandMessenger.SendCommandQueue.SendCommand | ( | SendCommand | sendCommand | ) |

Sends a command. Note that the command is put at the front of the queue.

Parameters:

  sendCommand | The command to sent.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/Queue/SendCommandQueue.cs